Bug 1284132 - Review Request: nrdp - Nagios Remote Data Processor
Summary: Review Request: nrdp - Nagios Remote Data Processor
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-20 23:32 UTC by Othman Madjoudj
Modified: 2018-02-24 20:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-24 20:07:53 UTC


Attachments (Terms of Use)

Description Othman Madjoudj 2015-11-20 23:32:55 UTC
Spec URL: https://athmane.fedorapeople.org/pkgs/nrdp.spec
SRPM URL: https://athmane.fedorapeople.org/pkgs/nrdp-0.bd1b5d0git-1.fc23.src.rpm

Description: 
Nagios Remote Data Processor (NDRP) is a flexible data transport 
mechanism and processor for Nagios. It is designed with a simple 
and powerful architecture that allows for it to be easily extended 
and customized to fit individual users needs. It uses standard ports 
protocols (HTTP(S) and XML) and can be implemented as a replacement for NSCA.

Fedora Account System Username: athmane

Comment 1 Upstream Release Monitoring 2015-11-20 23:36:36 UTC
athmane's scratch build of nrdp-0.bd1b5d0git-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11926780

Comment 2 Othman Madjoudj 2015-11-20 23:37:44 UTC
rpmlint output:

SPECS/nrdp.spec: W: no-%build-section
SPECS/nrdp.spec: W: invalid-url Source0: nrdp-0.bd1b5d0git.tar.gz
nrdp.noarch: W: spelling-error Summary(en_US) Nagios -> Adagios
nrdp.noarch: W: spelling-error %description -l en_US Nagios -> Adagios
nrdp.noarch: W: file-not-utf8 /usr/share/doc/nrdp/CHANGES.TXT
nrdp-client-php.noarch: W: no-documentation
nrdp-client-php.noarch: W: no-manual-page-for-binary send_nrdp.php
nrdp-client-python.noarch: W: no-documentation
nrdp-client-python.noarch: W: no-manual-page-for-binary send_nrdp.py
nrdp-client-shell.noarch: W: no-documentation
nrdp-client-shell.noarch: W: no-manual-page-for-binary send_nrdp.sh
nrdp.src: W: spelling-error Summary(en_US) Nagios -> Adagios
nrdp.src: W: spelling-error %description -l en_US Nagios -> Adagios
nrdp.src: W: no-%build-section
nrdp.src: W: invalid-url Source0: nrdp-0.bd1b5d0git.tar.gz
5 packages and 1 specfiles checked; 0 errors, 15 warnings.

Comment 4 Upstream Release Monitoring 2015-11-21 13:19:10 UTC
athmane's scratch build of nrdp-0.20150122gitbd1b5d0-2.fc23.src.rpm for dist-5E-epel failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11936277

Comment 5 Upstream Release Monitoring 2015-11-21 13:21:09 UTC
athmane's scratch build of nrdp-0.20150122gitbd1b5d0-2.fc23.src.rpm for dist-6E-epel completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11936283

Comment 6 Xavier Bachelot 2018-02-23 10:42:24 UTC
Hi,

Are you still interested in this review ?
Can you please update to latest release ?

Regards,
Xavier

Comment 7 Xavier Bachelot 2018-02-23 12:41:42 UTC
Here's a quick refresh of the spec to latest version. There is still some work to do and it's not been tested. Just adding it here for reference, feel free to take it if you wish to pursue the review. If you don't, I'll finish up the refresh and open a new review.

Spec URL: https://www.bachelot.org/fedora/SPECS/nrdp.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/nrdp-1.5.1-1.fc27.src.rpm

Comment 8 Xavier Bachelot 2018-02-23 14:25:51 UTC
Yet another update, I'll wait for an answer before working more on this.

Spec URL: https://www.bachelot.org/fedora/SPECS/nrdp.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/nrdp-1.5.1-2.fc27.src.rpm

Comment 9 Othman Madjoudj 2018-02-23 22:27:32 UTC
Thanks Xavier for the updates, I'm still interested in this pkg, unfortunately it still stuck in review queue.

Updates:

SPEC: https://athmane.fedorapeople.org/pkgs/nrdp.spec
SRPM: https://athmane.fedorapeople.org/pkgs/nrdp-1.5.1-3.fc27.src.rpm 
Koji scratch build:  https://koji.fedoraproject.org/koji/taskinfo?taskID=25268468

Rpmlint:

nrdp.src: W: spelling-error Summary(en_US) Nagios -> Adagios
nrdp.src: W: spelling-error %description -l en_US Nagios -> Adagios
nrdp.noarch: W: spelling-error Summary(en_US) Nagios -> Adagios
nrdp.noarch: W: spelling-error %description -l en_US Nagios -> Adagios
nrdp-client-php.noarch: W: no-documentation
nrdp-client-php.noarch: W: no-manual-page-for-binary send_nrdp.php
nrdp-client-python.noarch: W: no-documentation
nrdp-client-python.noarch: W: no-manual-page-for-binary send_nrdp.py
nrdp-client-shell.noarch: W: no-documentation
nrdp-client-shell.noarch: W: no-manual-page-for-binary send_nrdp.sh
5 packages and 1 specfiles checked; 0 errors, 10 warnings.

Comment 10 Robert-André Mauchin 2018-02-23 23:25:09 UTC
 - Nagios Open Software License Version 1.3:

Nagios Enterprises, LLC (the "Company") hereby grants, free of charge, to any person, company, or legal entity (each a "User") obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software (each a "Use"), and to permit persons to whom the Software is furnished to do so, subject to the following conditions:


3. The Software may not be Forked. "Forking" and "to Fork" means to create or distribute a product or a derivative work of the object or source code of the Software under a new or different brand. 


Both statements are contradictory and is really free software if it prevents forking?

Also, NOSL is the shorthand for Netizen Open Source License, not Nagios Open Software License.


  - You should own /etc/nrdp

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/nrdp





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 19 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/nrdp/review-nrdp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/nrdp
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/nrdp
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nrdp-
     client-shell , nrdp-client-php , nrdp-client-python
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nrdp-1.5.1-3.fc29.noarch.rpm
          nrdp-client-shell-1.5.1-3.fc29.noarch.rpm
          nrdp-client-php-1.5.1-3.fc29.noarch.rpm
          nrdp-client-python-1.5.1-3.fc29.noarch.rpm
          nrdp-1.5.1-3.fc29.src.rpm
nrdp.noarch: W: spelling-error Summary(en_US) Nagios -> Adagios
nrdp.noarch: W: spelling-error %description -l en_US Nagios -> Adagios
nrdp-client-shell.noarch: W: no-documentation
nrdp-client-shell.noarch: W: no-manual-page-for-binary send_nrdp.sh
nrdp-client-php.noarch: W: no-documentation
nrdp-client-php.noarch: W: no-manual-page-for-binary send_nrdp.php
nrdp-client-python.noarch: W: no-documentation
nrdp-client-python.noarch: W: no-manual-page-for-binary send_nrdp.py
nrdp.src: W: spelling-error Summary(en_US) Nagios -> Adagios
nrdp.src: W: spelling-error %description -l en_US Nagios -> Adagios
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 11 Robert-André Mauchin 2018-02-23 23:31:55 UTC
Also:


6. The Software may only be used in conjunction with products, projects, and other software distributed by the Company. Any standalone use of the Software, or use of the Software in conjunction with products, projects, or other software not authored or distributed by the Company - including third-party software that competes with the offerings of Company - is strictly prohibited and is a direct violation of the terms of the license.


Definitively doesn't sound like free software to me.

Comment 12 Othman Madjoudj 2018-02-24 20:07:04 UTC
Robert-André, thank you for catching that, it's definitively not a floss license (not listed by OSI either) [1].

I'll drop this request and ask upstream to change license (GH #32).


[1] Linux foundation license tracking:

https://github.com/spdx/license-list-data/blob/master/licenses.md


Note You need to log in before you can comment on or make changes to this bug.